<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class OpenaiKey extends Model
{
    protected $fillable = [
        'api_key', 'organization', 'organization', 'user_id',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
        
    }

    public static function forUser(User $user)
    {
       return self::where('user_id', $user->id)->first(); 
       //return static::where('user_id', $user->id)->get();
    }
}
