<div class="mx-auto max-w-3xl px-4 sm:px-6 lg:max-w-7xl lg:px-8">
<div class="bg-gray-200 p-4 rounded-lg shadow-lg">
    <h2 class="text-2xl font-bold mb-4">My WordPress Blogs</h2>
    <?php echo $__env->make('flash-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <form wire:submit.prevent="saveWpBlog" class="mb-4">
        <div class="sm:flex items-center mb-4">
            <input wire:model="wpBlogName" type="text" placeholder="yourwebsite.com"
                class="bg-white focus:outline-none focus:shadow-outline border border-gray-300 rounded-lg py-2 px-4 mr-2">
            <input wire:model="username" type="text" placeholder="Username"
                class="bg-white focus:outline-none focus:shadow-outline border border-gray-300 rounded-lg py-2 px-4 mr-2">
            <input wire:model="password" type="password" placeholder="Password"
                class="bg-white focus:outline-none focus:shadow-outline border border-gray-300 rounded-lg py-2 px-4 mr-2">
            <button type="submit"
                class="bg-indigo-500 hover:bg-indigo-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
                Add Blog
            </button>
        </div>
    </form>

    

    <table class="w-full text-left table-collapse">
        <thead>
            <tr>
                <th class="text-sm font-semibold text-gray-700 p-2 bg-gray-100">Blog Name</th>
                <th class="text-sm font-semibold text-gray-700 p-2 bg-gray-100">Username</th>
                <th class="text-sm font-semibold text-gray-700 p-2 bg-gray-100">Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $wpBlogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td class="text-sm p-2 border-t border-gray-200"><?php echo e($blog->wp_blog_name); ?></td>
                    <td class="text-sm p-2 border-t border-gray-200"><?php echo e($blog->username); ?></td>
                    <td class="text-sm p-2 border-t border-gray-200">
                        <button wire:click="deleteWpBlog(<?php echo e($blog->id); ?>)"
                            class="text-red-500 hover:text-red-700 font-bold">Delete</button>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</div>
</div><?php /**PATH C:\laragon\www\ai-content\resources\views/livewire/wp-blogs.blade.php ENDPATH**/ ?>